#! /bin/bash

set -e
currentDir="$(cd $(dirname $0) && pwd)"


docker build -f $currentDir/Dockerfile -t ouster_example:latest .

# docker build -f $currentDir/Dockerfile --iidfile=$tempDir/iid .

# docker run $(cat $tempDir/iid)
docker run -it --rm --privileged --net=host --env-file $currentDir/.env -v /tmp/.X11-unix:/tmp/.X11-unix:rw -v $currentDir/linking_example:/root --gpus all --shm-size=5.00gb ouster_example:latest /bin/bash